/* Created by Anjuta version 1.0.0 */
/*	This file will not be overwritten */
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 



#include <stdio.h>
#include <locale.h>

#include "config.h"
#include "gtk/gtk.h"


#include "gtkacl.h"

int main(gint argc, gchar **argv)
{
	GtkWidget *win_main;
	GtkWidget *win_acl;
	GtkWidget *vbox_main;
	GList     *list_child;
	
	gtk_init(&argc, &argv);
	
	setlocale (LC_ALL, "");
	bindtextdomain (PACKAGE, PACKAGE_LOCALE_DIR);
	textdomain (PACKAGE);
	
	if (argc < 2) {
		g_print(_("Usage : gtk_acl <filename>\n"));
		exit(0);
	}		
	
	if (g_strcasecmp(argv[1], "--version") == 0)
	{
		g_print("%s version %s\n", PACKAGE, VERSION);
		exit(0);
	}
	
	
	win_main = gtk_window_new(GTK_WINDOW_TOPLEVEL);
	gtk_widget_show(win_main);
	
	win_acl = gtk_acl_new();
	gtk_container_add(GTK_CONTAINER(win_main), win_acl);
	gtk_widget_show_all(win_acl);
	
	
	gtk_acl_load_file(GTK_ACL(win_acl), argv[1]);
	
	gtk_main();
	
	return (0);
}
